Nest Authbeta

POST /auth/passwordless/send

Passwordless — send login code (email or SMS)

Passwordless — send login code (email or SMS)

POST/auth/passwordless/send

Request body

NestAuthPasswordlessSendRequestDto

FieldTypeRequiredDescription
identifierstringrequiredEmail or phone (per `channel`)
Example: user@example.com
channel"email" | "sms"required
emailsms
tenantIdstringoptional

Examples

Example
{
  "identifier": "user@example.com",
  "channel": "email",
  "tenantId": "string"
}

Responses

200

MessageResponseDto

FieldTypeRequiredDescription
messagestringrequiredResponse message

Example response

{
  "message": "string"
}

Try it

curl -X POST 'https://api.example.com/auth/passwordless/send' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -d '{"identifier":"user@example.com","channel":"email","tenantId":"string"}'

On this page